RNAXPLORER(1)

NAME
RNAxplorer - manual page for RNAxplorer 0.9.0

SYNOPSIS
RNAxplorer [OPTION]...

DESCRIPTION
RNAxplorer 0.9.0

The RNAxplorer is a multitool, that offers different sampling and clustering methods to explore RNA energy landscapes.

The RNAxplorer is a multitool, that offers different methods to explore RNA energy landscapes. In default mode (or with -M RSH option) it takes an RNA sequence as input (either stdin or --sequence parameter) and outputs sampled secondary RNA structures. The repellant sampling heuristic iteratively penalizes base pairs of local minima of structures that have been seen too often. This results in a diverse sample set with the most important low free energy structures.

    Another important sampling method (-M RS option) is based on reference

structures (--struc1 and --struc2). This method produces structures in the vicinity of these two reference structures. Arbitrary many references can be added if a fasta file is used as input (via stdin).

    Often the output of sampling methods has to be coarse grained by local minima

that are defined by a gradient walk. A parallelized gradient descent procedure can be used to retrieve local minima (-M RL option) of sampled structures (input via stdin).

-h, --help
    Print help and exit

--detailed-help
    Print help, including all details and hidden options, and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

  General Options:

    Below are command line options which alter the general behavior of this program

-v, --verbose
    Be verbose (default=off)

  Repulsive Sampling Options:

--sequence=STRING
    Input sequence (default=`')

--penalize-structures
    Penalize structures instead of base pairs of local minima, that occure too often. (default=off)

--struc1=STRING
    Input structure 1 (default=`')

--struc2=STRING
    Input structure 2 (default=`')

--granularity=INT
    Granularity, i.e. number of samples after which distortion checks are performed (default=`100')

-n, --num-samples=INT
    Number of samples in total. The number of samples per iteration is n/g. (default=`100000')

-f, --exploration-factor=FLOAT
    Exploration factor (default=`1')

--min-exploration-percent=FLOAT
    Minimum exploration percentage before adding

new repelled structures
    (default=`1')

--cluster
    Cluster resulting local minima to reduce effective size (default=off)

--lmin-file=STRING
    Output filename for local minima (default=`')

--TwoD-file=STRING
    Output filename for pseudo-2D file (default=`')

--nonred
    Do sampling with non-redundant pbacktrack (default=off)

--nonred-file=STRING
    Input filename for nonredundant samples (default=`')

-2, --explore-two-neighborhood
    Explore 2-Neighborhood of local minima, i.e.

eliminate shallow minima
    (default=off)

--post-filter-two
    Post processing Filter local minima according to 2-Neighborhood, i.e. eliminate shallow minima (default=off)

--ediff-penalty
    Use energy difference instead of kT for penalty (default=off)

--mu=FLOAT
    proportion factor used to decide whether sampling round was sufficient (default=`0.1')

  Algorithms:

    Select additional algorithms which should be included in the calculations. Default is the repellant sampling heuristic. Display more options with --detailed-help.

-M, --method=<method>
    Set the method used to obtain meshpoint structures for the bisection algorithm

    (default=`RSH')

    Available options are:

GW  Gradient Walk (default)

MC  Monte Carlo walk

MC-SA
    Monte Carlo Walk

    with simulated Annealing

DB-MFE
    Distance based MFE structure

    meshpoints

TRATES
    Transition rate computation

SM  Stochastic sampling method with 2D mapping (activate distortion

    with -e"N").

RS  Repellant or Attraction sampling

RSH Repellant sampling heuristic

RL  Retrieve local minima. Standard input should be a sequence and a

    set of secondary structures (one per line). \

--betaScale=DOUBLE
    Set the scaling of the Boltzmann factors (default=`1.')

    The argument provided with this option enables to scale the thermodynamic temperature used in the Boltzmann factors independently from the temperature used to scale the individual energy contributions of the loop types. The Boltzmann factors then become exp(-dG/(kT*betaScale)) where k is the Boltzmann constant, dG the free energy contribution of the state and T the absolute temperature.

-e, --extended_opt=STRING
    Some extended options: N normal distortion (no shift) B alter both potentials at once R relax potential instead of increasing it S shift potential to other structure F shift to first structure V verbose

    (default=`')

-i, --iterations=INT
    Set the number of iterations/simulations

    (default=`1')

-m, --maxKeep=INT
    maxKeep for direct path search

    (default=`10')

-s, --maxStore=INT
    amount of best solutions to hold per iteration

    (default=`10')

-r, --remember=INT
    Set the number of structure states to remember in a TABU list

    (default=`10')

-c, --circ
    Assume a circular (instead of linear) RNA molecule.

    (default=off)

--cooling-rate=FLOAT
    Cooling factor used for simulated annealing

    (default=`0.9998')

--tstart=FLOAT
    start temperature in deg. Celcius

    (default=`37.0')

--tstop=FLOAT
    stop temperature in deg. Celcius

    (default=`0.0')

--penalizeBackWalks
    Add a penalty for backward moves, i.e. moves along states already visited

    (default=off)

--basinStructure
    just perform a gradient walk starting from a given structure

    (default=off)

-D, --maxD=INT
    Maximum base pair distance between meshpoints and references

    (default=`5')

--maxD1=INT
    Maximum base pair distance between meshpoints and reference structure 1

    (default=`5')

--maxD2=INT
    Maximum base pair distance between meshpoints and reference structure 2

    (default=`5')

  Model Details`:

-T, --temp=DOUBLE
    Rescale energy parameters to a temperature of temp C. Default is 37C.

--p0=STRING
    Set the percentage of the references distortion value <int> to <double> Can be given for all reference indices (NOTE: the value <double> should be between 0 and 1) (example: "--p0 2=0.5" - distortion value of sequence 2 will be multiplied with 0.5 before sampling.)

  Gradient walker options`:

--shift_moves
    Use shift moves for gradient walks.

    (default=off)

-P, --parameter_file=STRING
    Use the given parameter file for gradient walks.